module "cachefiles" missing from linux-image-virtual

Bug #770430 reported by PeterWoodman on 2011-04-25
18
This bug affects 2 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Tim Gardner
Maverick
Medium
Tim Gardner
Natty
Medium
Tim Gardner
Oneiric
Medium
Unassigned

Bug Description

Binary package hint: linux-image-virtual

'fscache' module exists, but not 'cachefiles'. this prevents using fsc option on nfs mounts using linux-image-virtual.

----

pjjw@squat:~$ uname -a
Linux squat 2.6.35-28-virtual #49-Ubuntu SMP Tue Mar 1 15:12:28 UTC 2011 x86_64 GNU/Linux
pjjw@squat:~$ apt-file search cachefiles | grep linux-image
linux-image-2.6.35-22-generic: /lib/modules/2.6.35-22-generic/kernel/fs/cachefiles/cachefiles.ko
linux-image-2.6.35-22-server: /lib/modules/2.6.35-22-server/kernel/fs/cachefiles/cachefiles.ko
linux-image-2.6.35-23-generic: /lib/modules/2.6.35-23-generic/kernel/fs/cachefiles/cachefiles.ko
linux-image-2.6.35-23-server: /lib/modules/2.6.35-23-server/kernel/fs/cachefiles/cachefiles.ko
linux-image-2.6.35-24-generic: /lib/modules/2.6.35-24-generic/kernel/fs/cachefiles/cachefiles.ko
linux-image-2.6.35-24-server: /lib/modules/2.6.35-24-server/kernel/fs/cachefiles/cachefiles.ko
linux-image-2.6.35-25-generic: /lib/modules/2.6.35-25-generic/kernel/fs/cachefiles/cachefiles.ko
linux-image-2.6.35-25-server: /lib/modules/2.6.35-25-server/kernel/fs/cachefiles/cachefiles.ko
linux-image-2.6.35-27-generic: /lib/modules/2.6.35-27-generic/kernel/fs/cachefiles/cachefiles.ko
linux-image-2.6.35-27-server: /lib/modules/2.6.35-27-server/kernel/fs/cachefiles/cachefiles.ko
linux-image-2.6.35-28-generic: /lib/modules/2.6.35-28-generic/kernel/fs/cachefiles/cachefiles.ko
linux-image-2.6.35-28-server: /lib/modules/2.6.35-28-server/kernel/fs/cachefiles/cachefiles.ko
pjjw@squat:~$ sudo service cachefilesd start
[sudo] password for pjjw:
 * Starting FilesCache daemon cachefilesd
FATAL: Module cachefiles not found.
Failed to load fscache module,
   ...fail!
----

ProblemType: Bug
DistroRelease: Ubuntu 10.10
Package: linux-image-2.6.35-28-virtual 2.6.35-28.49
Regression: No
Reproducible: Yes
ProcVersionSignature: Ubuntu 2.6.35-28.49-virtual 2.6.35.11
Uname: Linux 2.6.35-28-virtual x86_64
NonfreeKernelModules: zfs zcommon znvpair zavl zunicode
AlsaDevices: Error: command ['ls', '-l', '/dev/snd/'] failed with exit code 2: ls: cannot access /dev/snd/: No such file or directory
AplayDevices: Error: [Errno 2] No such file or directory
Architecture: amd64
ArecordDevices: Error: [Errno 2] No such file or directory
Date: Mon Apr 25 11:28:48 2011
Lspci: Error: [Errno 2] No such file or directory
Lsusb: Error: [Errno 2] No such file or directory
PciMultimedia:

ProcCmdLine: root=UUID=6cdc72c9-5cb9-48ba-83fd-7663f3b35e8e ro console=hvc0 root=/dev/sda2 ro ip=:127.0.255.255::::eth0:dhcp
ProcEnviron:
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: linux

PeterWoodman (peter-shortbus) wrote :
Tim Gardner (timg-tpi) on 2011-04-25
affects: linux-meta (Ubuntu) → linux (Ubuntu)
Changed in linux (Ubuntu):
assignee: nobody → Tim Gardner (timg-tpi)
status: New → In Progress
Changed in linux (Ubuntu Maverick):
status: New → In Progress
Tim Gardner (timg-tpi) wrote :

SRU Justification

Impact: fsc option is not usable on nfs mounts

Patch Description: Add cachefiles.ko to the -virtual flavour

Changed in linux (Ubuntu Oneiric):
status: New → Fix Committed
Changed in linux (Ubuntu Maverick):
assignee: nobody → Tim Gardner (timg-tpi)
Tim Gardner (timg-tpi) on 2011-04-26
Changed in linux (Ubuntu Maverick):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Natty):
status: In Progress → Fix Committed
PeterWoodman (peter-shortbus) wrote :

wow, right on, thanks for the quick attention!

Accepted linux into natty-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Christian Kujau (christiank) wrote :

With2.6.38-9-virtual from -proposed the 'cachefiles' module is there and cachefilesd is working again. Thanks!

PeterWoodman (peter-shortbus) wrote :

i'm still back on maverick, as natty causes trouble for me (something in autofs/nfs4 keeps oopsing, haven't been able to gather enough data for a proper bug report yet) - any chance this fix will make it back to maverick?

Tim Gardner (timg-tpi) wrote :

PeterWoodman - you can get the current kernels from https://launchpad.net/~kernel-ppa/+archive/pre-proposed. These typically lead the actual released kernel by several weeks.

Brad Figg (brad-figg) on 2011-05-10
tags: added: verification-needed-natty
Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed' to 'verification-done'.

If verification is not done by one week from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

PeterWoodman (peter-shortbus) wrote :

hey brad: bug was reported for maverick, and i don't see the fix there yet. i have enabled proposed.

looks like we already have verification from christian on natty.
----

pjjw@squat:~$ uname -a
Linux squat 2.6.35-29-virtual #51-Ubuntu SMP Fri Apr 15 17:47:07 UTC 2011 x86_64 GNU/Linux
pjjw@squat:~$ apt-file search cachefiles | grep linux-image
linux-image-2.6.35-22-generic: /lib/modules/2.6.35-22-generic/kernel/fs/cachefiles/cachefiles.ko
linux-image-2.6.35-22-server: /lib/modules/2.6.35-22-server/kernel/fs/cachefiles/cachefiles.ko
linux-image-2.6.35-23-generic: /lib/modules/2.6.35-23-generic/kernel/fs/cachefiles/cachefiles.ko
linux-image-2.6.35-23-server: /lib/modules/2.6.35-23-server/kernel/fs/cachefiles/cachefiles.ko
linux-image-2.6.35-24-generic: /lib/modules/2.6.35-24-generic/kernel/fs/cachefiles/cachefiles.ko
linux-image-2.6.35-24-server: /lib/modules/2.6.35-24-server/kernel/fs/cachefiles/cachefiles.ko
linux-image-2.6.35-25-generic: /lib/modules/2.6.35-25-generic/kernel/fs/cachefiles/cachefiles.ko
linux-image-2.6.35-25-server: /lib/modules/2.6.35-25-server/kernel/fs/cachefiles/cachefiles.ko
linux-image-2.6.35-26-generic: /lib/modules/2.6.35-26-generic/kernel/fs/cachefiles/cachefiles.ko
linux-image-2.6.35-26-server: /lib/modules/2.6.35-26-server/kernel/fs/cachefiles/cachefiles.ko
linux-image-2.6.35-27-generic: /lib/modules/2.6.35-27-generic/kernel/fs/cachefiles/cachefiles.ko
linux-image-2.6.35-27-server: /lib/modules/2.6.35-27-server/kernel/fs/cachefiles/cachefiles.ko
linux-image-2.6.35-28-generic: /lib/modules/2.6.35-28-generic/kernel/fs/cachefiles/cachefiles.ko
linux-image-2.6.35-28-server: /lib/modules/2.6.35-28-server/kernel/fs/cachefiles/cachefiles.ko
linux-image-2.6.35-29-generic: /lib/modules/2.6.35-29-generic/kernel/fs/cachefiles/cachefiles.ko
linux-image-2.6.35-29-server: /lib/modules/2.6.35-29-server/kernel/fs/cachefiles/cachefiles.ko
pjjw@squat:~$ sudo service cachefilesd start
 * Starting FilesCache daemon cachefilesd
FATAL: Module cachefiles not found.
Failed to load fscache module,
   ...fail!

Brad Figg (brad-figg) on 2011-05-13
tags: added: verification-passed-natty
removed: verification-needed-natty
tags: added: verification-done-natty
removed: verification-passed-natty
Changed in linux (Ubuntu Oneiric):
importance: Undecided → Medium
Changed in linux (Ubuntu Natty):
importance: Undecided → Medium
Changed in linux (Ubuntu Maverick):
importance: Undecided → Medium
Herton R. Krzesinski (herton) wrote :

Maverick should have the fix now in -proposed, and this bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-maverick' to 'verification-done-maverick'.

If verification is not done by one week from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-maverick
PeterWoodman (peter-shortbus) wrote :

works for me. thanks!

tags: added: verification-done-maverick
removed: verification-needed-maverick
Christian Kujau (christiank) wrote :

For the record: I still find it odd/wrong that /etc/init.d/cachefilesd is messing with module loading at all (/etc/init.d/network does not load network drivers...), but that'd have to be reported against the cachefilesd package, I suppose.

Launchpad Janitor (janitor) wrote :
Download full text (30.0 KiB)

This bug was fixed in the package linux - 2.6.35-30.54

---------------
linux (2.6.35-30.54) maverick-proposed; urgency=low

  [ Brad Figg ]

  * Release Tracking Bug
    - LP: #794114

  [ Upstream Kernel Changes ]

  * Revert "xhci: Fix full speed bInterval encoding."
  * Revert "USB: xhci - also free streams when resetting devices"
  * Revert "USB: xhci - fix math in xhci_get_endpoint_interval()"
  * Revert "USB: xhci - fix unsafe macro definitions"

linux (2.6.35-30.53) maverick-proposed; urgency=low

  [ Upstream Kernel Changes ]

  * xhci: Fix full speed bInterval encoding.
    - LP: #792959

linux (2.6.35-30.52) maverick-proposed; urgency=low

  [ Herton R. Krzesinski ]

  * Release Tracking Bug
    - LP: #790653

  [ Stefan Bader ]

  * Include nls_iso8859-1 for virtual images
    - LP: #732046

  [ Thomas Schlichter ]

  * SAUCE: vesafb: mtrr module parameter is uint, not bool
    - LP: #778043

  [ Tim Gardner ]

  * [Config] Add cachefiles.ko to virtual flavour
    - LP: #770430

  [ Upstream Kernel Changes ]

  * Revert "intel_idle: PCI quirk to prevent Lenovo Ideapad s10-3 boot
    hang"
    - LP: #772560
  * Revert "TPM: Long default timeout fix"
    - LP: #772560
  * Revert "tpm_tis: Use timeouts returned from TPM"
    - LP: #772560
  * Revert "xen: set max_pfn_mapped to the last pfn mapped"
  * CAN: Use inode instead of kernel address for /proc file, CVE-2010-4565
    - LP: #765007
    - CVE-2010-4565
  * xfs: prevent leaking uninitialized stack memory in FSGEOMETRY_V1,
    CVE-2011-0711
    - LP: #767740
    - CVE-2011-0711
  * Treat writes as new when holes span across page boundaries,
    CVE-2011-0463
    - LP: #770483
    - CVE-2011-0463
  * fs/partitions/ldm.c: fix oops caused by corrupted partition table,
    CVE-2011-1017
    - LP: #771382
    - CVE-2011-1017
  * qla2xxx: Make the FC port capability mutual exclusive.
    - LP: #772560
  * staging: usbip: bugfixes related to kthread conversion
    - LP: #772560
  * staging: usbip: bugfix add number of packets for isochronous frames
    - LP: #772560
  * staging: usbip: bugfix for isochronous packets and optimization
    - LP: #772560
  * staging: hv: Fix GARP not sent after Quick Migration
    - LP: #772560
  * staging: hv: use sync_bitops when interacting with the hypervisor
    - LP: #772560
  * irda: validate peer name and attribute lengths
    - LP: #772560
  * irda: prevent heap corruption on invalid nickname
    - LP: #772560
  * nilfs2: fix data loss in mmap page write for hole blocks
    - LP: #772560
  * ASoC: Explicitly say registerless widgets have no register
    - LP: #772560
  * ALSA: ens1371: fix Creative Ectiva support
    - LP: #772560
  * ROSE: prevent heap corruption with bad facilities
    - LP: #772560
  * Btrfs: Fix uninitialized root flags for subvolumes
    - LP: #772560
  * x86, mtrr, pat: Fix one cpu getting out of sync during resume
    - LP: #772560
  * UBIFS: do not read flash unnecessarily
    - LP: #772560
  * UBIFS: fix oops on error path in read_pnode
    - LP: #772560
  * UBIFS: fix debugging failure in dbg_check_space_info
    - LP: #772560
  * quota: Don't write quota info in dquot_commit()
    - LP: #772560
  * mm: avoid wrapping vm_...

Changed in linux (Ubuntu Maverick):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (26.1 KiB)

This bug was fixed in the package linux - 2.6.38-10.46

---------------
linux (2.6.38-10.46) natty-proposed; urgency=low

  [ Steve Conklin ]

  * Release Tracking Bug
    - LP: #802464

  [ Upstream Kernel Changes ]

  * Revert "put stricter guards on queue dead checks"
  * Revert "fix oops in scsi_run_queue()"

linux (2.6.38-10.45) natty-proposed; urgency=low

  [ Upstream Kernel Changes ]

  * Revert "af_unix: Only allow recv on connected seqpacket sockets."

linux (2.6.38-10.44) natty-proposed; urgency=low

  [ Steve Conklin ]

  * Release Tracking Bug
    - LP: #792013

  [ Robert Nelson ]

  * SAUCE: omap3: beagle: detect new xM revision B
    - LP: #770679
  * SAUCE: omap3: beagle: detect new xM revision C
    - LP: #770679
  * SAUCE: omap3: beagle: if rev unknown, assume xM revision C
    - LP: #770679

  [ Stefan Bader ]

  * Include nls_iso8859-1 for virtual images
    - LP: #732046

  [ Thomas Schlichter ]

  * SAUCE: vesafb: mtrr module parameter is uint, not bool
    - LP: #778043

  [ Tim Gardner ]

  * Revert "SAUCE: acpi battery -- move first lookup asynchronous"
    - LP: #775809
  * updateconfigs after update to v2.6.38.6

  [ Upstream Kernel Changes ]

  * Revert "ALSA: hda - Fix pin-config of Gigabyte mobo"
    - LP: #780546
  * Revert "[SCSI] Retrieve the Caching mode page"
    - LP: #788691
  * Revert "USB: xhci - fix unsafe macro definitions"
  * Revert "USB: xhci - fix math in xhci_get_endpoint_interval()"
  * Revert "USB: xhci - also free streams when resetting devices"
  * ath9k_hw: fix stopping rx DMA during resets
    - LP: #775809
  * netxen: limit skb frags for non tso packet
    - LP: #775809
  * ath: add missing regdomain pair 0x5c mapping
    - LP: #775809
  * block, blk-sysfs: Fix an err return path in blk_register_queue()
    - LP: #775809
  * p54: Initialize extra_len in p54_tx_80211
    - LP: #775809
  * qlcnic: limit skb frags for non tso packet
    - LP: #775809
  * nfsd4: fix struct file leak on delegation
    - LP: #775809
  * nfsd4: Fix filp leak
    - LP: #775809
  * virtio: Decrement avail idx on buffer detach
    - LP: #775809
  * x86, gart: Set DISTLBWALKPRB bit always
    - LP: #775809
  * x86, gart: Make sure GART does not map physmem above 1TB
    - LP: #775809
  * intel-iommu: Fix use after release during device attach
    - LP: #775809
  * intel-iommu: Unlink domain from iommu
    - LP: #775809
  * intel-iommu: Fix get_domain_for_dev() error path
    - LP: #775809
  * drm/radeon/kms: pll tweaks for r7xx
    - LP: #775809
  * drm/nouveau: fix notifier memory corruption bug
    - LP: #775809
  * drm/radeon/kms: fix bad shift in atom iio table parser
    - LP: #775809
  * drm/i915/tv: Remember the detected TV type
    - LP: #775809
  * tty/n_gsm: fix bug in CRC calculation for gsm1 mode
    - LP: #775809
  * serial/imx: read cts state only after acking cts change irq
    - LP: #775809
  * ASoC: Fix output PGA enabling in wm_hubs CODECs
    - LP: #775809
  * ASoC: codecs: JZ4740: Fix OOPS
    - LP: #775809
  * ALSA: hda - Add a fix-up for Acer dmic with ALC271x codec
    - LP: #775809
  * ahci: don't enable port irq before handler is registered
    - LP: #775809
  * libata: Implement ATA_FLAG_NO_...

Changed in linux (Ubuntu Natty):
status: Fix Committed → Fix Released
Changed in linux (Ubuntu Oneiric):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers